Skip to main content

trace_filter

POST

Filters and traces the execution of transactions matching the specified criteria. Users can set various conditions such as block number range, addresses used, and tokens used, and obtain trace information for transactions that match these criteria.

🚧 Experiencing slow response times? Response time may increase depending on the block range!

Specifying a wide block range or including blocks with many events may cause delayed responses or timeouts.

For faster responses, consider the following recommendations:

- Set the fromBlock ~ toBlock range to 1000 blocks or less.

- When using latest as blockTag, the internal block number may not be known, which can increase response time.

In that case, query the latest block number with eth_blockNumber and specify it explicitly.
param[0]
traceObjectobjectrequired
Enter trace filter options as an Object.
fromBlockstring
Block number indicates the sequential order of a block. Block numbers are expressed as hexadecimal strings.
toBlockstring
Block number indicates the sequential order of a block. Block numbers are expressed as hexadecimal strings.
fromAddressarray
Enter the from addresses to filter as an array.
toAddressarray
Enter the to addresses to filter as an array.
afterstring
The offset size for traces.
countinteger
The number of traces to display in the trace batch.
Responses
Information about the traced action
fromstring
Caller address
callTypestring
Call type (call, delegatecall, staticcall, etc.)
gasstring
Gas limit set for the call (hex)
inputstring
Call input data (hex)
tostring
Callee address
valuestring
Amount of ETH transferred (hex, in wei)
blockHashstring
Hash of the block containing the transaction
blockNumberinteger
Block number containing the transaction
Call result
gasUsedstring
Actual gas used (hex)
outputstring
Call return data (hex)
subtracesinteger
Number of sub-traces
traceAddressarray
Index array representing the trace path
transactionHashstring
Hash of the traced transaction
transactionPositioninteger
Position of the transaction within the block
typestring
Trace type (call, create, reward, etc.)
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://ethereum-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "trace_filter",
"params": [
{
"fromBlock": "0x1076B5A",
"toBlock": "0x1076B5A",
"fromAddress": [
"0xB287eaC48aB21c5FB1d3723830d60b4c797555B0"
]
}
]
}'